CREATE TABLE fun_seq_versions (
    SEQ_VERSION_ID           NUMBER        ,
    SEQ_HEADER_ID            NUMBER            NOT NULL,
    VERSION_NAME             VARCHAR2(480)     NOT NULL,
    HEADER_NAME              VARCHAR2(480)     NOT NULL,
    INITIAL_VALUE            NUMBER            NOT NULL,
    START_DATE               DATE              NOT NULL,
    END_DATE                 DATE          ,
    CURRENT_VALUE            NUMBER        ,
    USE_STATUS_CODE          VARCHAR2(120)     NOT NULL,
    DB_SEQUENCE_NAME         VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    SEQ_VERSION_ID           NUMBER        ,
    SEQ_HEADER_ID            NUMBER            NOT NULL,
    VERSION_NAME             VARCHAR2(480)     NOT NULL,
    HEADER_NAME              VARCHAR2(480)     NOT NULL,
    INITIAL_VALUE            NUMBER            NOT NULL,
    START_DATE               DATE              NOT NULL,
    END_DATE                 DATE          ,
    CURRENT_VALUE            NUMBER        ,
    USE_STATUS_CODE          VARCHAR2(120)     NOT NULL,
    DB_SEQUENCE_NAME         VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fun_seq_versions PRIMARY KEY (SEQ_VERSION_ID, SEQ_VERSION_ID)
);
